# Class Sas9JobExecutor

Job executor for SAS9 servers for use in Node.js environments. Initiates login with the provided username and password from the config The cookies are stored in the request client and used in subsequent job execution requests.

### Hierarchy

- BaseJobExecutor
  - Sas9JobExecutor

### Implements

- JobExecutor

### Constructors

- constructor

### Properties

- serverType
- serverUrl

### Methods

- appendWaitingRequest
- execute
- resendWaitingRequests

## Constructors

### constructor

- new Sas9JobExecutor(serverUrl: string, serverType: ServerType, jobsPath: string, requestClient: RequestClient, httpsAgentOptions?: https.AgentOptions): Sas9JobExecutor

- Overrides BaseJobExecutor.constructor

  - Defined in src/job-execution/Sas9JobExecutor.ts:17

  #### Parameters

  - ##### serverUrl: string

  - ##### serverType: ServerType

  - ##### jobsPath: string

  - ##### requestClient: RequestClient

  - ##### Optional httpsAgentOptions: https.AgentOptions

  #### Returns Sas9JobExecutor

## Properties

### Protected serverType

serverType: ServerType

Inherited from BaseJobExecutor.serverType

- Defined in src/job-execution/JobExecutor.ts:20

### Protected serverUrl

serverUrl: string

Inherited from BaseJobExecutor.serverUrl

- Defined in src/job-execution/JobExecutor.ts:20

## Methods

### Protected appendWaitingRequest

- appendWaitingRequest(request: ExecuteFunction): void

- Inherited from BaseJobExecutor.appendWaitingRequest

  - Defined in src/job-execution/JobExecutor.ts:45

  #### Parameters

  - ##### request: ExecuteFunction

  #### Returns void

### execute

- execute(sasJob: string, data: any, config: any): Promise<any>

- Overrides BaseJobExecutor.execute

  - Defined in src/job-execution/Sas9JobExecutor.ts:29

  #### Parameters

  - ##### sasJob: string

  - ##### data: any

  - ##### config: any

  #### Returns Promise<any>

### resendWaitingRequests

- resendWaitingRequests(): Promise<void>

- Inherited from BaseJobExecutor.resendWaitingRequests

  - Defined in src/job-execution/JobExecutor.ts:33

  #### Returns Promise<void>

Generated using TypeDoc